Skip to main content
`Ctrl`+`K`

# DMPlexGetCellFields

Retrieve the field values values for a chunk of cells

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCellFields(DM dm, IS cellIS, Vec locX, PeOp Vec locX_t, PeOp Vec locA, PetscScalar *u[], PetscScalar *u_t[], PetscScalar *a[])

## Input Parameters

- dm - The `DM`

- cellIS - The cells to include

- locX - A local vector with the solution fields

- locX_t - A local vector with solution field time derivatives, or `NULL`

- locA - A local vector with auxiliary fields, or `NULL`

## Output Parameters

- u - The field coefficients

- u_t - The fields derivative coefficients

- a - The auxiliary field coefficients

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetFaceFields()`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages